# Share v2 Commands

## share lock

### share lock create

Lock a resource action from occurring on a resource

    openstack share lock create
        [--resource-action <resource_action>]
        [--lock-reason <lock_reason>]
        <resource_name_or_id>
        <resource_type>

--resource-action <resource_action>, --resource_action <resource_action>

  Action to lock on the resource (default=”delete”)

--lock-reason <lock_reason>, --lock_reason <lock_reason>, --reason <lock_reason>

  Reason for the resource lock.

resource_name_or_id

  Name or ID of resource to lock.

resource_type

  Type of the resource (e.g.: share, access).

This command is provided by the python-manilaclient plugin.

### share lock delete

Remove one or more resource locks

    openstack share lock delete <lock> [<lock> ...]

lock

  ID(s) of the lock(s).

This command is provided by the python-manilaclient plugin.

### share lock list

Lists all resource locks

    openstack share lock list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--all-projects]
        [--project PROJECT]
        [--user USER]
        [--id <id>]
        [--resource <resource-id>]
        [--resource-type <resource_type>]
        [--resource-action <resource_action>]
        [--lock-context <lock_context>]
        [--since <created_since>]
        [--before <created_before>]
        [--limit <limit>]
        [--offset <offset>]
        [--sort-key <sort_key>]
        [--sort-dir <sort_dir>]
        [--detailed [<0|1>]]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--all-projects

  Filter resource locks for all projects. (Admin only).

--project <PROJECT>

  Filter resource locks for specific project by name or ID, combine with –all-projects (Admin only).

--user <USER>

  Filter resource locks for specific user by name or ID, combine with –all-projects to search across projects (Admin only).

--id <id>

  Filter resource locks by ID. Default=None.

--resource <resource-id>, --resource-id <resource-id>, --resource_id <resource-id>

  Filter resource locks for a resource by ID, specify –resource-type to look up by name.

--resource-type <resource_type>, --resource_type <resource_type>

  Filter resource locks by type of resource.

--resource-action <resource_action>, --resource_action <resource_action>

  Filter resource locks by resource action.

--lock-context <lock_context>, --lock_context <lock_context>, --context <lock_context>

  Filter resource locks by context.

--since <created_since>

  Filter resource locks created since given date. The date format must be conforming to ISO8601.

--before <created_before>

  Filter resource locks created before given date. The date format must be conforming to ISO8601.

--limit <limit>

  Number of resource locks to list. (Default=None)

--offset <offset>

  Starting position of resource lock records in a paginated list.

--sort-key <sort_key>, --sort_key <sort_key>

  Key to be sorted, available keys are (‘id’, ‘created_at’, ‘updated_at’, ‘resource_id’, ‘resource_type’, ‘resource_action’, ‘lock_reason’). Default=None.

--sort-dir <sort_dir>, --sort_dir <sort_dir>

  Sort direction, available values are (‘asc’, ‘desc’). OPTIONAL: Default=None.

--detailed <0|1>

  Show detailed information about filtered resource locks.

This command is provided by the python-manilaclient plugin.

### share lock set

Update resource lock properties

    openstack share lock set
        [--resource-action <resource_action>]
        [--lock-reason LOCK_REASON]
        <lock>

--resource-action <resource_action>, --resource_action <resource_action>

  Resource action to set in the resource lock

--lock-reason <LOCK_REASON>, --lock_reason <LOCK_REASON>, --reason <LOCK_REASON>

  Reason for the resource lock

lock

  ID of lock to update.

This command is provided by the python-manilaclient plugin.

### share lock show

Show details about a resource lock

    openstack share lock show <lock>

lock

  ID of resource lock to show.

This command is provided by the python-manilaclient plugin.

### share lock unset

Remove resource lock properties

    openstack share lock unset [--lock-reason] <lock>

--lock-reason, --lock_reason, --reason

  Unset the lock reason. (Default=False)

lock

  ID of resource lock to update.

This command is provided by the python-manilaclient plugin.

## share message

### share message delete

Remove one or more messages

    openstack share message delete <message> [<message> ...]

message

  ID of the message(s).

This command is provided by the python-manilaclient plugin.

### share message list

Lists all messages

    openstack share message list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--resource-id <resource-id>]
        [--resource-type <resource-type>]
        [--action-id <action-id>]
        [--detail-id <detail-id>]
        [--request-id <request-id>]
        [--message-level <message-level>]
        [--limit <limit>]
        [--since <since>]
        [--before <before>]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--resource-id <resource-id>

  Filters results by a resource uuid. Default=None.

--resource-type <resource-type>

  Filters results by a resource type. Default=None. Example: “openstack message list –resource-type share”

--action-id <action-id>

  Filters results by action id. Default=None.

--detail-id <detail-id>

  Filters results by detail id. Default=None.

--request-id <request-id>

  Filters results by request id. Default=None.

--message-level <message-level>

  Filters results by the message level. Default=None. Example: “openstack message list –message-level ERROR”.

--limit <limit>

  Maximum number of messages to return. (Default=None)

--since <since>

  Return only user messages created since given date. The date format must be conforming to ISO8601. Available only for microversion >= 2.52.

--before <before>

  Return only user messages created before given date. The date format must be conforming to ISO8601. Available only for microversion >= 2.52.

This command is provided by the python-manilaclient plugin.

### share message show

Show details about a message

    openstack share message show <message>

message

  ID of the message.

This command is provided by the python-manilaclient plugin.

## share security service

### share security service create

Create security service used by project.

    openstack share security service create
        [--dns-ip <dns-ip>]
        [--ou <ou>]
        [--server <server>]
        [--domain <domain>]
        [--user <user]
        [--password <password>]
        [--name <name>]
        [--description <description>]
        [--default-ad-site <default_ad_site>]
        <type>

--dns-ip <dns-ip>

  DNS IP address of the security service used inside project’s network.

--ou <ou>

  Security service OU (Organizational Unit). Available only for microversion >= 2.44.

--server <server>

  Security service IP address or hostname.

--domain <domain>

  Security service domain.

--user <user

  Security service user or group used by project.

--password <password>

  Password used by user.

--name <name>

  Security service name.

--description <description>

  Security service description.

--default-ad-site <default_ad_site>

  Default AD site. Available only for microversion >= 2.76. Can be provided in the place of ‘–server’ but not along with it.

type

  Security service type. Possible options are: ‘ldap’, ‘kerberos’, ‘active_directory’.

This command is provided by the python-manilaclient plugin.

### share security service delete

Delete one or more security services.

    openstack share security service delete
        <security-service>
        [<security-service> ...]

security-service

  Name or ID of the security service(s) to delete.

This command is provided by the python-manilaclient plugin.

### share security service list

List security services.

    openstack share security service list
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--all-projects]
        [--share-network <share-network>]
        [--status <status>]
        [--name <name>]
        [--type <type>]
        [--user <user]
        [--dns-ip <dns-ip>]
        [--ou <ou>]
        [--default-ad-site <default_ad_site>]
        [--server <server>]
        [--domain <domain>]
        [--detail]
        [--limit <num-security-services>]
        [--marker <security-service>]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--all-projects

  Display information from all projects (Admin only).

--share-network <share-network>

  Filter results by share network name or ID.

--status <status>

  Filter results by status.

--name <name>

  Filter results by security service name.

--type <type>

  Filter results by security service type.

--user <user

  Filter results by security service user or group used by project.

--dns-ip <dns-ip>

  Filter results by DNS IP address used inside project’s network.

--ou <ou>

  Filter results by security service OU (Organizational Unit). Available only for microversion >= 2.44.

--default-ad-site <default_ad_site>

  Filter results by security service default_ad_site. Available only for microversion >= 2.76.

--server <server>

  Filter results by security service IP address or hostname.

--domain <domain>

  Filter results by security service domain.

--detail

  Show detailed information about filtered security services.

--limit <num-security-services>

  Limit the number of security services returned

--marker <security-service>

  The last security service ID of the previous page

This command is provided by the python-manilaclient plugin.

### share security service set

Set security service.

    openstack share security service set
        [--dns-ip <dns-ip>]
        [--ou <ou>]
        [--server <server>]
        [--domain <domain>]
        [--user <user]
        [--password <password>]
        [--name <name>]
        [--description <description>]
        [--default-ad-site <default_ad_site>]
        <security-service>

--dns-ip <dns-ip>

  Set DNS IP address used inside project’s network.

--ou <ou>

  Set security service OU (Organizational Unit). Available only for microversion >= 2.44.

--server <server>

  Set security service IP address or hostname.

--domain <domain>

  Set security service domain.

--user <user

  Set security service user or group used by project.

--password <password>

  Set password used by user.

--name <name>

  Set security service name.

--description <description>

  Set security service description.

--default-ad-site <default_ad_site>

  Default AD site. Available only for microversion >= 2.76.

security-service

  Security service name or ID.

This command is provided by the python-manilaclient plugin.

### share security service show

Show security service.

    openstack share security service show <security-service>

security-service

  Security service name or ID to show.

This command is provided by the python-manilaclient plugin.

### share security service unset

Unset security service.

    openstack share security service unset
        [--dns-ip]
        [--ou]
        [--server]
        [--domain]
        [--user]
        [--password]
        [--name]
        [--description]
        [--default-ad-site]
        <security-service>

--dns-ip

  Unset DNS IP address used inside project’s network.

--ou

  Unset security service OU (Organizational Unit). Available only for microversion >= 2.44.

--server

  Unset security service IP address or hostname.

--domain

  Unset security service domain.

--user

  Unset security service user or group used by project.

--password

  Unset password used by user.

--name

  Unset security service name.

--description

  Unset security service description.

--default-ad-site

  Default AD site. Available only for microversion >= 2.76.

security-service

  Security service name or ID.

This command is provided by the python-manilaclient plugin.

## share service

### share service set

Enable/Disable share service (Admin only).

    openstack share service set
        [--enable | --disable]
        [--disable-reason <reason>]
        <host>
        <binary>

--enable

  Enable share service

--disable

  Disable share service

--disable-reason <reason>

  Reason for disabling the service (should be used with –disable option)

host

  Host name as ‘example_host@example_backend’.

binary

  Service binary, could be ‘manila-share’, ‘manila-scheduler’ or ‘manila-data’

This command is provided by the python-manilaclient plugin.

### share service list

List share services (Admin only).

    openstack share service list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--host <host>]
        [--binary <binary>]
        [--status <status>]
        [--state <state>]
        [--zone <zone>]
        [--ensuring <ensuring>]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--host <host>

  Filter services by name of the host.

--binary <binary>

  Filter services by the name of the service.

--status <status>

  Filter results by status.

--state <state>

  Filter results by state.

--zone <zone>

  Filter services by their availability zone.

--ensuring <ensuring>

  Filter services running ensure shares or not.

This command is provided by the python-manilaclient plugin.

### share service ensure shares

Run ensure shares in a back end (Admin only).

    openstack share service ensure shares <host>

host

  Host to run ensure shares. ‘example_host@example_backend’.

This command is provided by the python-manilaclient plugin.

this page last updated: 2026-07-15 15:33:41

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.